#
# spec file for package perl-Business-OnlinePayment
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Business-OnlinePayment
Version:        3.05
Release:        1.2
%define cpan_name Business-OnlinePayment
Summary:        Perl extension for online payment processing
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Business-OnlinePayment/
Source0:        https://cpan.metacpan.org/authors/id/I/IV/IVAN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Net::HTTPS::Any)
BuildRequires:  perl(Tie::IxHash)
Requires:       perl(Net::HTTPS::Any)
Requires:       perl(Tie::IxHash)
%{perl_requires}

%description
Business::OnlinePayment is a generic module for processing payments through
online credit card processors, electronic cash systems, etc.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes notes_for_module_writers notes_for_module_writers_v3 README TODO

%changelog
* Wed Feb  7 2018 coolo@suse.com
- updated to 3.05
  see /usr/share/doc/packages/perl-Business-OnlinePayment/Changes
  3.05    Fri Feb  2 09:25:50 PST 2018
  - Add txn_date to return fields (and build_subs)
  - doc: Add Tokenize action (stand-alone tokenize without a transaction)
  - doc: follow-up transaction fields
  - doc: nacha_sec_code for ACH transactions
  - doc: adjust URLs and year for current reality
* Sat Dec  5 2015 coolo@suse.com
- updated to 3.04
  see /usr/share/doc/packages/perl-Business-OnlinePayment/Changes
  3.04    Thu Dec  3 12:49:59 PST 2015
  - Partial authorizations
  - Doc: Moo is a-okay for module authors
  - Doc: update URLs for new domain
* Mon Apr 13 2015 coolo@suse.com
- updated to 3.03
  see /usr/share/doc/packages/perl-Business-OnlinePayment/Changes
  3.03    Tue Apr 29 11:14:25 PDT 2014
  - Document Reverse Authorization action
  - Document expiration is MM/YY and fix the example
  - Document repository moved from CVS to git
  - Add avs_code and cvv2_response to build_subs, they're standard fields
  - Document best-practice eval of the submit() method in example
  - Rework build_subs(), thanks to Michal Schwern, closes: CPAN#22073
  3.02    Fri Aug 19 16:20:04 PDT 2011
  - Fix fatal error calling ->info('supported_actions') on a gateway that
    does not yet support introspection (e.g. AuthorizeNet)
  - Fix introspection with a complicated supported_actions
  - Documentation fix for recurring_billing flag
  - Add optional transaction field to documentation: currency
  - Fix spelling mistake in preCharge.pm POD, thanks to gregor herrmann,
    Closes: CPAN#69647
* Mon Apr 13 2015 coolo@suse.com
- updated to 3.02
  see /usr/share/doc/packages/perl-Business-OnlinePayment/Changes
  3.02    Fri Aug 19 16:20:04 PDT 2011
  - Fix fatal error calling ->info('supported_actions') on a gateway that
    does not yet support introspection (e.g. AuthorizeNet)
  - Fix introspection with a complicated supported_actions
  - Documentation fix for recurring_billing flag
  - Add optional transaction field to documentation: currency
  - Fix spelling mistake in preCharge.pm POD, thanks to gregor herrmann,
    Closes: CPAN#69647
* Tue Apr 12 2011 coolo@opensuse.org
- initial package 3.01
  * created by cpanspec 1.78.04
